#### PyKDE - Python Bindings for KDE

# class KKeyServer |
Table of contents
Modules
kdecore Classes
All Classes

Module | kdecore
Class | KKeyServer
Inherits |

### classes

- CodeMod
- Key
- Sym
- Variations

### enums

- ExtraModFlag = {MODE_SWITCH }

### methods

- accelModMaskX ()

  returns (uint)

- codeXToSym (codeX, modX)

  Not Implemented

- initializeMods ()

  returns (bool)

- keyQtToKeyX (keyCombQt, pKeyCodeX)

  Not Implemented

- keyQtToMod (keyQt)

  Not Implemented

- keyQtToSym (keyQt)

  Not Implemented

- keyboardHasWinKey ()

  returns (bool)

- modToModQt (mod)

  Not Implemented

- modToModX (mod)

  Not Implemented

- modToStringInternal (mod)

  Not Implemented

- modToStringUser (mod)

  Not Implemented

- modX (modFlag)

  returns (uint)
  Argument | Type | Default
  --- | --- | ---
  modFlag | KKey.ModFlag |

- modXAlt ()

  returns (uint)

- modXCtrl ()

  returns (uint)

- modXLock ()

  returns (uint)

- modXModeSwitch ()

  returns (uint)
  In versions KDE 3.4.2 and above only

- modXNumLock ()

  returns (uint)

- modXScrollLock ()

  returns (uint)

- modXShift ()

  returns (uint)

- modXToMod (modX)

  Not Implemented

- modXToModQt (modX)

  Not Implemented

- modXWin ()

  returns (uint)

- qtButtonStateToMod (s)

  Not Implemented

- stringToSymMod (a0)

  Not Implemented

- stringUserToMod (mod)

  returns (uint)
  In versions KDE 3.5.0 and above only
  Argument | Type | Default
  --- | --- | ---
  mod | QString |

- symToKeyQt (sym)

  Not Implemented